
QGIS Application - Bug report #19155

Layouts crash when undoing a legend item remove action

2018-06-09 05:52 PM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26985

Description

Steps:

- add two layers to the layers tree

- create a layout with a map and a legend

- remove one layer from the layers tree

- remove the one layer from the layout legend

- undo

Associated revisions

Revision 9def3470 - 2018-06-14 11:15 AM - Alessandro Pasotti 

[bugfix] Crash on undo layout legend item on deleted item

Fixes #19155

History

#1 - 2018-06-09 05:53 PM - Alessandro Pasotti

- File bug_19155_bt.txt added

#2 - 2018-06-14 09:55 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2018-06-14 11:18 AM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

https://github.com/qgis/QGIS/pull/7240

#4 - 2018-06-18 08:05 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|9def3470f02c06c886ad0fab6092584d99178a10.
